package com.xinelu.manage.mapper.patientinfo;

import com.xinelu.manage.domain.patientinfo.PatientInfo;
import com.xinelu.manage.domain.residentinfo.ResidentInfo;
import com.xinelu.manage.dto.patientinfo.PatientInfoDto;
import com.xinelu.manage.vo.patientinfo.PatientBaseInfoVo;
import java.util.List;

/**
 * 患者信息Mapper接口
 *
 * @author haown
 * @date 2024-02-26
 */
public interface PatientInfoMapper {
    /**
     * 查询患者信息
     *
     * @param id 患者信息主键
     * @return 患者信息
     */
    PatientInfo selectPatientInfoById(Long id);

    /**
     * 查询患者信息
     *
     * @param id 主键id
     * @return 患者信息
     */
    PatientBaseInfoVo getPatientBaseInfo(Long id);

    /**
     * 查询患者信息列表
     *
     * @param patientInfo 患者信息
     * @return 患者信息集合
     */
    List<PatientInfo> selectPatientInfoList(PatientInfoDto patientInfo);

    /**
     * 新增患者信息
     *
     * @param patientInfo 患者信息
     * @return 结果
     */
    int insertPatientInfo(PatientInfo patientInfo);

    /**
     * 修改患者信息
     *
     * @param patientInfo 患者信息
     * @return 结果
     */
    int updatePatientInfoSelective(PatientInfo patientInfo);

	/**
	 * 修改患者信息
	 *
	 * @param patientInfo 患者信息
	 * @return 结果
	 */
	int updatePatientInfo(PatientInfo patientInfo);

    /**
     * 删除患者信息
     *
     * @param id 患者信息主键
     * @return 结果
     */
    int deletePatientInfoById(Long id);

    /**
     * 批量删除患者信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deletePatientInfoByIds(Long[] ids);

    /**
     * 根据openid查询被护理人信息
     *
     * @param openId 微信openId
     * @return 被护理人基本信息
     */
    ResidentInfo getPatientInfoByOpenId(String openId);
}
